#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=myhdl

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman  doc/source/ build/man # Manpage generator

override_dh_auto_install:
	dh_auto_install
	if [ -d debian/myhdl-cosimulation/usr/share/myhdl/cosimulation ]; then \
	  echo "I: Forgot to clean up prior to build? Otherwise investigate existence of debian/myhdl-cosimulation/usr/share/myhdl/cosimulation"; \
	  rm -r debian/myhdl-cosimulation/usr/share/myhdl/cosimulation; \
	fi
	mv debian/python3-myhdl/usr/share/myhdl/cosimulation debian/myhdl-cosimulation/usr/share/myhdl/
	# Remove empty dirs:
	rmdir --ignore-fail-on-non-empty debian/python3-myhdl/usr/share/myhdl

override_dh_installdocs:
	dh_installdocs
	# fix duplicate file by creating symlink instead:
	$(RM) debian/myhdl-doc/usr/share/doc/myhdl-doc/html/_images/tbfsm1.png
	ln -sf tbfsm.png debian/myhdl-doc/usr/share/doc/myhdl-doc/html/_images/tbfsm1.png
